--- cloud_router/cloud_router_base.cpp
+++ cloud_router/cloud_router_base.cpp
@@ -2,6 +2,7 @@
 
 #include <netdb.h>
 #include <fcntl.h>
+#include <netinet/in.h>
 #include <netinet/tcp.h>
 #include <iostream>
 #include <sstream>
@@ -10,6 +11,7 @@
 #include <stdarg.h>
 #include <errno.h>
 #include <sys/poll.h>
+#include <sys/socket.h>
 
 
 extern cResolver *CR_RESOLVER();
@@ -458,7 +460,7 @@ bool cSocket::listen() {
 	setsockopt(handle, SOL_SOCKET, SO_REUSEADDR, &on, sizeof(on));
 	int rsltListen;
 	do {
-		while(bind(handle, (sockaddr*)&addr, sizeof(addr)) == -1 && !terminate) {
+		while(::bind(handle, (sockaddr*)&addr, sizeof(addr)) == -1 && !terminate) {
 			setError("cannot bind to port [%d] - trying again after 5 seconds", port);
 			sleep(5);
 		}
