--- manager.cpp.orig	2018-04-26 20:16:10.000000000 +0300
+++ manager.cpp	2018-05-07 14:54:12.282560000 +0300
@@ -629,7 +629,8 @@ int sendvm(int socket, ssh_channel channel, cClient *c
 		} else if(snifferClientService) {
 			snifferClientService->get_aes_keys(&aes_ckey, &aes_ivec);
 		}
-		c_client->writeAesEnc((u_char*)buf, len, aes_ckey.c_str(), aes_ivec.c_str());
+		res = c_client->writeAesEnc((u_char*)buf, len,
+		    aes_ckey.c_str(), aes_ivec.c_str()) ? 0: -1;
 	} else if(channel) {
 		res = sendssh(channel, buf, len);
 	} else {
@@ -3473,8 +3474,8 @@ void *manager_ssh(void */*arg*/) {
 
 void *manager_server(void */*dummy*/) {
  
-	sockaddr_in sockName;
-	sockaddr_in clientInfo;
+	struct sockaddr_in sockName;
+	struct sockaddr_in clientInfo;
 	socklen_t addrlen;
 
 	// Vytvorime soket - viz minuly dil
@@ -3495,7 +3496,7 @@ void *manager_server(void */*dummy*/) {
 		}
 	}
 tryagain:
-	if (bind(manager_socket_server, (sockaddr *)&sockName, sizeof(sockName)) == -1) {
+	if (::bind(manager_socket_server, (sockaddr *)&sockName, sizeof(sockName)) == -1) {
 		syslog(LOG_ERR, "Cannot bind to port [%d] trying again after 5 seconds intervals\n", opt_manager_port);
 		sleep(5);
 		goto tryagain;
