--- pcap_queue.h.orig	2018-05-07 14:58:35.218793000 +0300
+++ pcap_queue.h	2018-05-07 14:59:22.467019000 +0300
@@ -781,7 +781,7 @@ class PcapQueue_readFromFifo : public PcapQueue { (pub
 		directionWrite
 	};
 	struct sPacketServerConnection {
-		sPacketServerConnection(int socketClient, sockaddr_in &socketClientInfo, PcapQueue_readFromFifo *parent, unsigned int id) {
+		sPacketServerConnection(int socketClient, struct sockaddr_in &socketClientInfo, PcapQueue_readFromFifo *parent, unsigned int id) {
 			this->socketClient = socketClient;
 			this->socketClientInfo = socketClientInfo;
 			this->parent = parent;
@@ -798,7 +798,7 @@ class PcapQueue_readFromFifo : public PcapQueue { (pub
 			}
 		}
 		int socketClient;
-		sockaddr_in socketClientInfo;
+		struct sockaddr_in socketClientInfo;
 		string socketClientIP;
 		u_int32_t socketClientIPN;
 		PcapQueue_readFromFifo *parent;
@@ -898,7 +898,7 @@ class PcapQueue_readFromFifo : public PcapQueue { (pub
 	bool socketReadyForConnect();
 	bool socketConnect();
 	bool socketListen();
-	bool socketAwaitConnection(int *socketClient, sockaddr_in *socketClientInfo);
+	bool socketAwaitConnection(int *socketClient, struct sockaddr_in *socketClientInfo);
 	bool socketClose();
 	bool socketWrite(u_char *data, size_t dataLen, bool disableAutoConnect = false);
 	bool _socketWrite(int socket, u_char *data, size_t *dataLen, int timeout = 1);
@@ -911,7 +911,7 @@ class PcapQueue_readFromFifo : public PcapQueue { (pub
 		return(this->packetServerDirection == directionRead);
 	}
 private:
-	void createConnection(int socketClient, sockaddr_in *socketClientInfo);
+	void createConnection(int socketClient, struct sockaddr_in *socketClientInfo);
 	void cleanupConnections(bool all = false);
 	inline int processPacket(sHeaderPacketPQout *hp, eHeaderPacketPQoutState hp_state);
 	void pushBatchProcessPacket();
